import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:syncrow_web/pages/routines/bloc/functions_bloc/functions_bloc_bloc.dart';
import 'package:syncrow_web/pages/routines/models/device_functions.dart';
import 'package:syncrow_web/pages/routines/widgets/routine_dialogs/gateway/gateway_if_dialog.dart';

final class GatewayHelper {
  static Future<Map<String, dynamic>?> showGatewayFunctionsDialog({
    required BuildContext context,
    required List<DeviceFunction> functions,
    required String? uniqueCustomId,
    required List<DeviceFunctionData> deviceSelectedFunctions,
  }) async {
    return showDialog(
      context: context,
      builder: (context) => BlocProvider<FunctionBloc>(
        create: (context) => FunctionBloc()
          ..add(
            InitializeFunctions(deviceSelectedFunctions),
          ),
        child: GatewayIfDialog(
            uniqueCustomId: uniqueCustomId,
            functions: functions,
            deviceSelectedFunctions: deviceSelectedFunctions),
      ),
    );
  }
}
